Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Ubuntu Local Security Checks >> USN106-1 : gaim vulnerabilities


Vulnerability Assessment Details

USN106-1 : gaim vulnerabilities

Vulnerability Assessment Summary
gaim vulnerabilities

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote package "gaim" is missing a security patch.

Description :

Jean-Yves Lefort discovered a buffer overflow in the
gaim_markup_strip_html() function. This caused Gaim to crash when
receiving certain malformed HTML messages. (CVE-2005-0965)

Jean-Yves Lefort also noticed that many functions that handle IRC
commands do not escape received HTML metacharacters
this permited
remote attackers to cause a Denial of Service by injecting arbitrary
HTML code into the conversation window, popping up arbitrarily many
empty dialog boxes, or even causing Gaim to crash. (CVE-2005-0966)

Solution :

Upgrade to :
- gaim-1.0.0-1ubuntu1.3 (Ubuntu 4.10)



Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: Ubuntu Security Notice (C) 2005 Canonical, Inc. / NASL script (C) 2005 Michel Arboi

Cables, Connectors

Amiga software game F/A-18 Interceptor Electronic Arts
$20.0
Amiga software game F/A-18 Interceptor Electronic Arts pictureAMIGA * "P.O.W. " BY ACTIONWARE - VINTAGE SOFTWARE - GOOD CONDITION
$22.0
AMIGA * Commodore Amiga Implant PC & MAC emulator card
$45.0
Commodore Amiga Implant PC & MAC emulator card pictureAmiga ROM Kernel Reference Manual Includes & Autodocs -Commodore Amiga Book Rev6
$19.5
Amiga ROM Kernel Reference Manual Includes & Autodocs -Commodore Amiga Book Rev6 picture


Discussions

No Discussions have been posted on this vulnerability.